Maximum API requests allowed per second.













Beta Admin Billing Endpoints
(beta) Admin API - manage spend limits, rate limits and roles. Requires an admin API key.












Examples
Real world code examples
Get Rate Limits
GET /api/admin/rate-limit
AdminApiKey
200
OK
requests_per_second
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/rate-limit \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/rate-limit \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"requests_per_second": 87,
"tokens_limits_by_model": [
{
"tokens_per_minute": 14,
"tokens_per_month": 56
}
]
}{
"requests_per_second": 87,
"tokens_limits_by_model": [
{
"tokens_per_minute": 14,
"tokens_per_month": 56
}
]
}Get Spend Limits
GET /api/admin/spend-limit
Get usage, rate, and job limits for the Organization.
AdminApiKey
200
OK
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/spend-limit \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/spend-limit \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"limits": {
"completion": {
"monthly_limit_reached": false
},
"currency": "ipsum eiusmod",
"last_payment_failure": false,
"last_payment_failure_protection": null
}
}{
"limits": {
"completion": {
"monthly_limit_reached": false
},
"currency": "ipsum eiusmod",
"last_payment_failure": false,
"last_payment_failure_protection": null
}
}Update Spend Limits
POST /api/admin/spend-limit
Update the Organization usage limit.
AdminApiKey
amount
New monthly usage limit amount.
no_monthly_limit
Default Value: false
Whether to remove the monthly usage limit.
200
OK
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/spend-limit \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"amount": 87
}'curl https://api.mistral.ai/api/admin/spend-limit \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"amount": 87
}'200
{
"limits": {
"completion": {
"monthly_limit_reached": false
},
"currency": "ipsum eiusmod",
"last_payment_failure": false,
"last_payment_failure_protection": null
}
}{
"limits": {
"completion": {
"monthly_limit_reached": false
},
"currency": "ipsum eiusmod",
"last_payment_failure": false,
"last_payment_failure_protection": null
}
}Get Usage
GET /api/admin/usage
Get usage and cost data for the Organization.
AdminApiKey
month
Month to return usage for.
year
Year to return usage for.
workspace_id
Workspace ID to filter results.
200
OK
currency
Currency used for usage prices.
currency_symbol
Currency symbol used for usage prices.
date
Reference date for the usage period.
end_date
End of the usage period.
next_month
Next month in the usage report.
previous_month
Previous month in the usage report.
start_date
Start of the usage period.
vibe_usage
Current Vibe usage amount.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/usage \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/usage \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"audio": {
"models": [
[
[
[
null
]
]
]
]
},
"chat": {
"models": [
[
[
[
null
]
]
]
]
},
"completion": {
"models": [
[
[
[
null
]
]
]
]
},
"connectors": {
"models": [
[
[
[
null
]
]
]
]
},
"currency": null,
"currency_symbol": null,
"date": "2025-12-17T10:25:07.818693Z",
"end_date": "2025-12-17T10:25:07.818693Z",
"fine_tuning": {
"storage": [
87
],
"training": [
[
[
[
null
]
]
]
]
},
"libraries_api": {
"audio_seconds": {
"models": [
[
[
[
null
]
]
]
]
},
"pages": {
"models": [
[
[
[
null
]
]
]
]
},
"tokens": {
"models": [
[
[
[
null
]
]
]
]
}
},
"next_month": null,
"ocr": {
"models": [
[
[
[
null
]
]
]
]
},
"previous_month": null,
"prices": null,
"start_date": "2025-12-17T10:25:07.818693Z",
"vibe_usage": 14
}{
"audio": {
"models": [
[
[
[
null
]
]
]
]
},
"chat": {
"models": [
[
[
[
null
]
]
]
]
},
"completion": {
"models": [
[
[
[
null
]
]
]
]
},
"connectors": {
"models": [
[
[
[
null
]
]
]
]
},
"currency": null,
"currency_symbol": null,
"date": "2025-12-17T10:25:07.818693Z",
"end_date": "2025-12-17T10:25:07.818693Z",
"fine_tuning": {
"storage": [
87
],
"training": [
[
[
[
null
]
]
]
]
},
"libraries_api": {
"audio_seconds": {
"models": [
[
[
[
null
]
]
]
]
},
"pages": {
"models": [
[
[
[
null
]
]
]
]
},
"tokens": {
"models": [
[
[
[
null
]
]
]
]
}
},
"next_month": null,
"ocr": {
"models": [
[
[
[
null
]
]
]
]
},
"previous_month": null,
"prices": null,
"start_date": "2025-12-17T10:25:07.818693Z",
"vibe_usage": 14
}